org.eclipse.rdf4j.http.protocol.transaction.operations

## Class StatementOperation

- java.lang.Object
- - org.eclipse.rdf4j.http.protocol.transaction.operations.ContextOperation
  - - org.eclipse.rdf4j.http.protocol.transaction.operations.StatementOperation

- All Implemented Interfaces:
    TransactionOperation
  Direct Known Subclasses:
    AddStatementOperation, RemoveStatementsOperation

      public abstract class StatementOperation
      extends ContextOperation

  A context operation with (optional) subject, predicate, object.
  Author:
    Arjohn Kampman, Leo Sauermann

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.http.protocol.transaction.operations.ContextOperation

      `contexts`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StatementOperation(Resource... contexts)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `Value` | `getObject()`
    `IRI` | `getPredicate()`
    `Resource` | `getSubject()`
    `int` | `hashCode()`
    `void` | `setObject(Value object)`
    `void` | `setPredicate(IRI predicate)`
    `void` | `setSubject(Resource subject)`

    - ### Methods inherited from class org.eclipse.rdf4j.http.protocol.transaction.operations.ContextOperation

      `getContexts, setContexts`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.http.protocol.transaction.operations.TransactionOperation

      `execute`

- - ### Constructor Detail

    - #### StatementOperation

          protected StatementOperation(Resource... contexts)

  - ### Method Detail

    - #### getSubject

          public Resource getSubject()

    - #### setSubject

          public void setSubject(Resource subject)

    - #### getPredicate

          public IRI getPredicate()

    - #### setPredicate

          public void setPredicate(IRI predicate)

    - #### getObject

          public Value getObject()

    - #### setObject

          public void setObject(Value object)

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `ContextOperation`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ContextOperation`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.